Bug 441582 - symlinks in cluster-managed mount points cause erroneous failures
symlinks in cluster-managed mount points cause erroneous failures
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Lon Hohberger
Depends On:
  Show dependency treegraph
Reported: 2008-04-08 16:18 EDT by Lon Hohberger
Modified: 2009-04-16 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 15:57:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2008-04-08 16:18:05 EDT
Description of problem:

Incorrect errors or warnings are reported if a mountpoint from cluster.conf has
a symbolic link.  This can cause a service failure or restart.

Version-Release number of selected component (if applicable): up to and
including 5.2

How reproducible: 100%

Steps to Reproduce:
1. Install rgmanager RPM from 4.2 or later
2. Run symlink-test
Actual results: Warnings or errors.

Expected results: Success.

-- Additional comment from lhh@redhat.com on 2008-04-08 16:13 EST --
Created an attachment (id=301702)
Test script which reproduces the problem.

-- Additional comment from lhh@redhat.com on 2008-04-08 16:15 EST --
Created an attachment (id=301703)
Fix for behavior

Without the patch, the previous test case will show warnings during the test
phase.	With the patch, these warnings go away.

For NFS, the isMounted() function returns an error if the mountpoint is not
what is expected.
Comment 4 errata-xmlrpc 2009-01-20 15:57:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.